2020-05-27 11:26 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006330Spring engineLinuxpublic2020-05-09 17:17
Reporterhoijui 
Assigned Togajop 
PrioritynormalSeveritytweakReproducibilityN/A
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0006330: Install into ~/.spring/engine when compiling from source
DescriptionAll instructions for compiling I found:

* https://github.com/spring/spring/blob/develop/README.markdown
* https://springrts.com/wiki/Building_Spring_on_Linux#Build_And_Install

suggest `make install` or `make install-spring` when installing the engine after a build from source.

In this way however, spring gets installed in `/usr/local` by default,
and thus is not available in SpringLobby, for example, as it expects engines in `~/.spring/engine/${git describe --always --tags}`.

I would suggest to either update the instructions in these locations, or change the default behavior to install to where the lobby picks up the engine, or at least offer alternative instructions for doing that.
Tags104.0+git building
Checked infolog.txt for ErrorsIrrelevant
Attached Files

-Relationships
+Relationships

-Notes

~0020398

gajop (developer)

Engine wiki already suggests you can specify the install location with
cmake -DCMAKE_INSTALL_PREFIX=~/spring .

You are free to further improve the wiki, but I consider this issue resolved
+Notes

-Issue History
Date Modified Username Field Change
2019-11-09 16:38 hoijui New Issue
2019-11-09 16:38 hoijui Tag Attached: 104.0+git building
2019-11-09 16:38 hoijui Tag Attached: intel
2019-11-09 16:39 hoijui Tag Detached: intel
2020-05-09 17:17 gajop Assigned To => gajop
2020-05-09 17:17 gajop Status new => resolved
2020-05-09 17:17 gajop Resolution open => fixed
2020-05-09 17:17 gajop Note Added: 0020398
+Issue History